Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000806 [Piwigo] authentication crash always 2008.02.20 17:34 2008.02.20 17:49
Reporter mrsoyer View Status public  
Assigned To
Priority normal Resolution fixed Platform windows
Status closed   OS windows xp
Projection none   OS Version
ETA none Fixed in Version 1.7.1 Product Version 1.7.1
  Target Version Product Build
Summary 0000806: bug lors de la déconection
Description Warning: array_merge() [function.array-merge]: Argument 0000001 is not an array in E:\Apps\Phototheque\www\include\functions_user.inc.php on line 230

Warning: Invalid argument supplied for foreach() in E:\Apps\Phototheque\www\include\functions_user.inc.php on line 232

SELECT cat_id
  FROM phpwebgallery_user_access
  WHERE user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 3

Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in E:\Apps\Phototheque\www\include\functions.inc.php on line 884

SELECT cat_id
  FROM phpwebgallery_user_group AS ug INNER JOIN phpwebgallery_group_access AS ga
    ON ug.group_id = ga.group_id
  WHERE ug.user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 4

Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in E:\Apps\Phototheque\www\include\functions.inc.php on line 884

DELETE FROM phpwebgallery_user_cache_categories
  WHERE user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 2
  INSERT INTO phpwebgallery_user_cache_categories
    (user_id,cat_id,max_date_last,count_images,count_categories)
     VALUES(NULL,'1','2007-08-21 12:26:11','506','12')
    , (NULL,'2','2007-08-21 12:26:11','116','3')
    , (NULL,'3','2007-08-21 12:26:11','116','2')
    , (NULL,'4','2007-08-21 12:26:11','100','0')
    , (NULL,'5','2007-08-21 12:26:11','16','0')
    , (NULL,'6','2007-08-21 12:26:11','326','4')
    , (NULL,'7','2007-08-21 12:26:11','119','1')
    , (NULL,'8','2007-08-21 12:26:11','119','0')
    , (NULL,'9','2007-08-21 12:26:11','207','1')
    , (NULL,'10','2007-08-21 12:26:11','207','0')
    , (NULL,'11','2007-08-21 12:26:11','64','2')
    , (NULL,'12','2007-08-21 12:26:11','64','1')
    , (NULL,'13','2007-08-21 12:26:11','64','0')
    , (NULL,'15','2007-10-31 09:19:14','238','25')
    , (NULL,'16','2007-10-31 09:19:14','8','1')
    , (NULL,'277','2007-10-31 09:19:14','8','0')
    , (NULL,'19','2007-10-31 09:14:35','7','1')
    , (NULL,'276','2007-10-31 09:14:35','7','0')
    , (NULL,'22','2007-07-19 14:19:39','20','4')
    , (NULL,'23','2007-07-19 14:19:39','12','1')
    , (NULL,'24','2007-07-19 14:19:39','12','0')
    , (NULL,'25','2007-07-19 14:19:39','8','1')
    , (NULL,'26','2007-07-19 14:19:39','8','0')
    , (NULL,'27','2007-10-30 15:25:51','98','8')
    , (NULL,'28','2007-07-19 14:19:39','52','1')
    , (NULL,'29','2007-07-19 14:19:39','52','0')
    , (NULL,'30','2007-07-19 14:19:39','18','1')
    , (NULL,'31','2007-07-19 14:19:39','18','0')
    , (NULL,'32','2007-07-19 14:19:39','22','1')
    , (NULL,'33','2007-07-19 14:19:39','22','0')
    , (NULL,'210','2007-10-30 15:25:51','6','1')
    , (NULL,'211','2007-10-30 15:25:51','6','0')
    , (NULL,'34','2007-07-19 14:19:39','8','4')
    , (NULL,'35','2007-07-19 14:19:39','4','1')
    , (NULL,'36','2007-07-19 14:19:39','4','0')
    , (NULL,'37','2007-07-19 14:19:39','4','1')
    , (NULL,'38','2007-07-19 14:19:39','4','0')
    , (NULL,'208','2007-10-30 15:25:51','97','1')
    , (NULL,'209','2007-10-30 15:25:51','97','0')
    , (NULL,'39','2007-10-30 15:25:51','1729','54')
    , (NULL,'40','2007-10-30 15:25:51','106','4')
    , (NULL,'41','2007-07-19 14:19:39','57','1')
    , (NULL,'42','2007-07-19 14:19:39','57','0')
    , (NULL,'212','2007-10-30 15:25:51','49','1')
    , (NULL,'213','2007-10-30 15:25:51','49','0')
    , (NULL,'43','2007-10-30 15:25:51','232','8')
    , (NULL,'44','2007-07-19 14:19:39','46','1')
    , (NULL,'45','2007-07-19 14:19:39','46','0')
    , (NULL,'46','2007-07-19 14:19:39','56','1')
    , (NULL,'47','2007-07-19 14:19:39','56','0')
    , (NULL,'48','2007-07-19 14:19:39','115','1')
    , (NULL,'49','2007-07-19 14:19:39','115','0')
    , (NULL,'214','2007-10-30 15:25:51','15','1')
    , (NULL,'215','2007-10-30 15:25:51','15','0')
    , (NULL,'50','2007-07-19 14:19:39','52','2')
    , (NULL,'51','2007-07-19 14:19:39','52','1')
    , (NULL,'52','2007-07-19 14:19:39','52','0')
    , (NULL,'53','2007-07-19 14:19:39','15','2')
    , (NULL,'54','2007-07-19 14:19:39','15','1')
    , (NULL,'55','2007-07-19 14:19:39','15','0')
    , (NULL,'56','2007-07-19 14:19:39','787','15')
    , (NULL,'57','2007-07-19 14:19:39','85','1')
    , (NULL,'58','2007-07-19 14:19:39','85','0')
    , (NULL,'59','2007-07-19 14:19:39','108','1')
    , (NULL,'60','2007-07-19 14:19:39','108','0')
    , (NULL,'61','2007-07-19 14:19:39','168','2')
    , (NULL,'62','2007-07-19 14:19:39','113','0')
    , (NULL,'63','2007-07-19 14:19:39','55','0')
    , (NULL,'64','2007-07-19 14:19:39','115','1')
    , (NULL,'65','2007-07-19 14:19:39','115','0')
    , (NULL,'66','2007-07-19 14:19:39','140','1')
    , (NULL,'67','2007-07-19 14:19:39','140','0')
    , (NULL,'68','2007-07-19 14:19:39','66','1')
    , (NULL,'69','2007-07-19 14:19:39','66','0')
    , (NULL,'70','2007-07-19 14:19:39','105','1')
    , (NULL,'71','2007-07-19 14:19:39','105','0')
    , (NULL,'72','2007-10-30 15:25:51','86','3')
    , (NULL,'73','2007-10-30 15:25:51','86','2')
    , (NULL,'74','2007-07-19 14:19:39','42','0')
    , (NULL,'216','2007-10-30 15:25:51','44','0')
    , (NULL,'75','2007-07-19 14:19:39','127','2')
    , (NULL,'76','2007-07-19 14:19:39','127','1')
    , (NULL,'77','2007-07-19 14:19:39','127','0')
    , (NULL,'78','2007-07-19 14:19:39','193','5')
    , (NULL,'79','2007-07-19 14:19:39','193','4')
    , (NULL,'80','2007-07-19 14:19:39','25','0')
    , (NULL,'81','2007-07-19 14:19:39','61','0')
    , (NULL,'82','2007-07-19 14:19:39','35','0')
    , (NULL,'83','2007-07-19 14:19:39','72','0')
    , (NULL,'84','2007-07-19 14:19:39','131','4')
    , (NULL,'85','2007-07-19 14:19:39','131','3')
    , (NULL,'86','2007-07-19 14:19:39','52','0')
    , (NULL,'87','2007-07-19 14:19:39','55','0')
    , (NULL,'88','2007-07-19 14:19:39','24','0')
    , (NULL,'89','2007-07-19 14:19:39','272','9')
    , (NULL,'90','2007-07-19 14:19:39','272','8')
    , (NULL,'91','2007-07-19 14:19:39','89','1')
    , (NULL,'92','2007-07-19 14:19:39','89','0')
    , (NULL,'93','2007-07-19 14:19:39','83','1')
    , (NULL,'94','2007-07-19 14:19:39','83','0')
    , (NULL,'95','2007-07-19 14:19:39','23','1')
    , (NULL,'96','2007-07-19 14:19:39','23','0')
    , (NULL,'97','2007-07-19 14:19:39','77','1')
    , (NULL,'98','2007-07-19 14:19:39','77','0')
    , (NULL,'99','2007-10-30 15:25:51','541','13')
    , (NULL,'217','2007-10-30 15:25:51','118','2')
    , (NULL,'218','2007-10-30 15:25:51','24','0')
    , (NULL,'219','2007-10-30 15:25:51','94','0')
    , (NULL,'220','2007-10-30 15:25:51','49','1')
    , (NULL,'221','2007-10-30 15:25:51','49','0')
    , (NULL,'222','2007-10-30 15:25:51','177','1')
    , (NULL,'223','2007-10-30 15:25:51','177','0')
    , (NULL,'224','2007-10-30 15:25:51','39','1')
    , (NULL,'225','2007-10-30 15:25:51','39','0')
    , (NULL,'226','2007-10-30 15:25:51','50','1')
    , (NULL,'227','2007-10-30 15:25:51','50','0')
    , (NULL,'228','2007-10-30 15:25:51','108','1')
    , (NULL,'229','2007-10-30 15:25:51','108','0')
    , (NULL,'109','2007-10-30 15:25:51','842','31')
    , (NULL,'115','2007-07-19 14:19:39','206','8')
    , (NULL,'116','2007-07-19 14:19:39','206','7')
    , (NULL,'117','2007-07-19 14:19:39','26','0')
    , (NULL,'118','2007-07-19 14:19:39','32','0')
    , (NULL,'119','2007-07-19 14:19:39','30','0')
    , (NULL,'120','2007-07-19 14:19:39','27','0')
    , (NULL,'121','2007-07-19 14:19:39','37','0')
    , (NULL,'122','2007-07-19 14:19:39','24','0')
    , (NULL,'123','2007-07-19 14:19:39','30','0')
    , (NULL,'125','2007-10-30 15:25:51','454','13')
    , (NULL,'126','2007-07-19 14:19:39','63','1')
    , (NULL,'127','2007-07-19 14:19:39','63','0')
    , (NULL,'128','2007-07-19 14:19:39','106','2')
    , (NULL,'129','2007-07-19 14:19:39','79','0')
    , (NULL,'130','2007-07-19 14:19:39','27','0')
    , (NULL,'206','2007-10-11 17:25:16','116','1')
    , (NULL,'207','2007-10-11 17:25:16','116','0')
    , (NULL,'230','2007-10-30 15:25:51','93','1')
    , (NULL,'231','2007-10-30 15:25:51','93','0')
    , (NULL,'232','2007-10-30 15:25:51','52','1')
    , (NULL,'233','2007-10-30 15:25:51','52','0')
    , (NULL,'234','2007-10-30 15:25:51','24','1')
    , (NULL,'235','2007-10-30 15:25:51','24','0')
    , (NULL,'131','2007-07-19 14:19:39','93','2')
    , (NULL,'132','2007-07-19 14:19:39','93','1')
    , (NULL,'133','2007-07-19 14:19:39','93','0')
    , (NULL,'236','2007-10-30 15:25:51','89','4')
    , (NULL,'237','2007-10-30 15:25:51','30','1')
    , (NULL,'238','2007-10-30 15:25:51','30','0')
    , (NULL,'239','2007-10-30 15:25:51','59','1')
    , (NULL,'240','2007-10-30 15:25:51','59','0')
    , (NULL,'134','2007-07-19 14:19:39','144','2')
    , (NULL,'135','2007-07-19 14:19:39','144','1')
    , (NULL,'136','2007-07-19 14:19:39','144','0')
    , (NULL,'137','2007-10-31 09:07:36','213','8')
    , (NULL,'138','2007-07-19 14:19:39','80','1')
    , (NULL,'139','2007-07-19 14:19:39','80','0')
    , (NULL,'142','2007-07-19 14:19:39','53','1')
    , (NULL,'143','2007-07-19 14:19:39','53','0')
    , (NULL,'144','2007-07-19 14:19:39','26','1')
    , (NULL,'145','2007-07-19 14:19:39','26','0')
    , (NULL,'273','2007-10-31 09:07:36','54','1')
    , (NULL,'274','2007-10-31 09:07:36','54','0')
    , (NULL,'146','2007-10-31 09:10:13','42','2')
    , (NULL,'147','2007-10-31 09:10:13','42','1')
    , (NULL,'275','2007-10-31 09:10:13','42','0')
    , (NULL,'150','2008-02-13 11:30:37','2165','41')
    , (NULL,'151','2007-07-19 14:19:39','336','8')
    , (NULL,'152','2007-07-19 14:19:39','60','1')
    , (NULL,'153','2007-07-19 14:19:39','60','0')
    , (NULL,'154','2007-07-19 14:19:39','88','1')
    , (NULL,'155','2007-07-19 14:19:39','88','0')
    , (NULL,'156','2007-07-19 14:19:39','162','1')
    , (NULL,'157','2007-07-19 14:19:39','162','0')
    , (NULL,'158','2007-07-19 14:19:39','26','1')
    , (NULL,'159','2007-07-19 14:19:39','26','0')
    , (NULL,'160','2007-10-30 15:25:51','612','8')
    , (NULL,'161','2007-07-19 14:19:39','262','1')
    , (NULL,'162','2007-07-19 14:19:39','262','0')
    , (NULL,'163','2007-07-19 14:19:39','83','1')
    , (NULL,'164','2007-07-19 14:19:39','83','0')
    , (NULL,'165','2007-07-19 14:19:39','101','1')
    , (NULL,'166','2007-07-19 14:19:39','101','0')
    , (NULL,'256','2007-10-30 15:25:51','166','1')
    , (NULL,'257','2007-10-30 15:25:51','166','0')
    , (NULL,'167','2007-10-30 15:25:51','380','2')
    , (NULL,'260','2007-10-30 15:25:51','211','0')
    , (NULL,'261','2007-10-30 15:25:51','169','0')
    , (NULL,'170','2007-07-19 14:19:39','88','2')
    , (NULL,'171','2007-07-19 14:19:39','88','1')
    , (NULL,'172','2007-07-19 14:19:39','88','0')
    , (NULL,'173','2008-02-13 11:30:37','499','5')
    , (NULL,'174','2007-07-19 14:19:39','145','2')
    , (NULL,'175','2007-07-19 14:19:39','109','0')
    , (NULL,'176','2007-07-19 14:19:39','36','0')
    , (NULL,'177','2007-07-19 14:19:39','246','0')
    , (NULL,'278','2008-02-13 11:30:37','108','0')
    , (NULL,'178','2007-07-19 14:19:39','57','3')
    , (NULL,'179','2007-07-19 14:19:39','54','0')
    , (NULL,'180','2007-07-19 14:19:39','3','1')
    , (NULL,'181','2007-07-19 14:19:39','3','0')
    , (NULL,'182','2007-07-19 14:19:39','78','1')
    , (NULL,'183','2007-07-19 14:19:39','78','0')
    , (NULL,'253','2007-10-30 15:25:51','59','2')
    , (NULL,'254','2007-10-30 15:25:51','59','1')
    , (NULL,'255','2007-10-30 15:25:51','59','0')
    , (NULL,'258','2007-10-30 15:25:51','56','1')
    , (NULL,'259','2007-10-30 15:25:51','56','0')
    , (NULL,'184','2007-10-30 15:25:51','551','13')
    , (NULL,'185','2007-07-19 14:19:39','255','2')
    , (NULL,'186','2007-07-19 14:19:39','202','0')
    , (NULL,'187','2007-07-19 14:19:39','53','0')
    , (NULL,'204','2007-10-10 15:49:17','39','1')
    , (NULL,'205','2007-10-10 15:49:17','39','0')
    , (NULL,'262','2007-10-30 15:25:51','39','1')
    , (NULL,'263','2007-10-30 15:25:51','39','0')
    , (NULL,'264','2007-10-30 15:25:51','123','1')
    , (NULL,'265','2007-10-30 15:25:51','123','0')
    , (NULL,'266','2007-10-30 15:25:51','95','3')
    , (NULL,'267','2007-10-30 15:25:51','10','0')
    , (NULL,'268','2007-10-30 15:25:51','15','0')
    , (NULL,'269','2007-10-30 15:25:51','70','0')
    , (NULL,'188','2007-07-19 14:19:39','360','8')
    , (NULL,'189','2007-07-19 14:19:39','335','5')
    , (NULL,'190','2007-07-19 14:19:39','102','0')
    , (NULL,'191','2007-07-19 14:19:39','104','0')
    , (NULL,'192','2007-07-19 14:19:39','111','0')
    , (NULL,'193','2007-07-19 14:19:39','18','1')
    , (NULL,'194','2007-07-19 14:19:39','18','0')
    , (NULL,'195','2007-07-19 14:19:39','25','1')
    , (NULL,'196','2007-07-19 14:19:39','25','0')
    , (NULL,'197','2007-07-19 14:19:39','85','6')
    , (NULL,'198','2007-07-19 14:19:39','29','1')
    , (NULL,'199','2007-07-19 14:19:39','29','0')
    , (NULL,'200','2007-07-19 14:19:39','25','1')
    , (NULL,'201','2007-07-19 14:19:39','25','0')
    , (NULL,'202','2007-07-19 14:19:39','31','1')
    , (NULL,'203','2007-07-19 14:19:39','31','0')
    , (NULL,'241','2007-10-30 15:25:51','124','8')
    , (NULL,'242','2007-10-30 15:25:51','21','1')
    , (NULL,'243','2007-10-30 15:25:51','21','0')
    , (NULL,'244','2007-10-30 15:25:51','60','1')
    , (NULL,'245','2007-10-30 15:25:51','60','0')
    , (NULL,'246','2007-10-30 15:25:51','21','1')
    , (NULL,'247','2007-10-30 15:25:51','21','0')
    , (NULL,'248','2007-10-30 15:25:51','22','1')
    , (NULL,'249','2007-10-30 15:25:51','22','0')
    , (NULL,'250','2007-10-30 15:25:51','14','2')
    , (NULL,'251','2007-10-30 15:25:51','14','1')
    , (NULL,'252','2007-10-30 15:25:51','14','0')
    , (NULL,'270','2007-10-30 15:25:51','60','2')
    , (NULL,'271','2007-10-30 15:25:51','60','1')
    , (NULL,'272','2007-10-30 15:25:51','60','0')
;
[mysql error 1062] Duplicate entry '0-1' for key 1
DELETE FROM phpwebgallery_user_cache
  WHERE user_id =
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 2
INSERT INTO phpwebgallery_user_cache
  (user_id, need_update, forbidden_categories, nb_total_images)
  VALUES
  (,'false','0',7886)
;
[mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ''false','0',7886)' at line 4

Warning: Cannot modify header information - headers already sent by (output started at E:\Apps\Phototheque\www\include\functions_user.inc.php:230) in E:\Apps\Phototheque\www\include\functions_html.inc.php on line 709

Warning: Cannot modify header information - headers already sent by (output started at E:\Apps\Phototheque\www\include\functions_user.inc.php:230) in E:\Apps\Phototheque\www\include\functions_html.inc.php on line 710
Template->make_filename(): Error - file ./template//redirect.tpl does not exist
Steps To Reproduce J'ai ajouter un nouvel utilisateur à partir de la partie administration et je me suis déconnecter de mon compte et voici ce qui apparaît maintenant.
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version 5
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002143)
VDigital (reporter)
2008.02.20 17:47

Guest supprimé.
Explications et solution donnée à plusieurs reprises sur le forum.
Merci d'effectuer les recherches indispensables.

En plus ce bug a été corrigé en 1.7.1 afin d'éviter qu'il se reproduise.

- Issue History
Date Modified Username Field Change
2008.02.20 17:34 mrsoyer New Issue
2008.02.20 17:34 mrsoyer browser => any
2008.02.20 17:34 mrsoyer PHP version => 5
2008.02.20 17:34 mrsoyer Web server => Apache 1.3.x
2008.02.20 17:47 VDigital Note Added: 0002143
2008.02.20 17:49 VDigital Status new => closed
2008.02.20 17:49 VDigital Resolution open => fixed
2008.02.20 17:49 VDigital Fixed in Version => 1.7.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker